﻿using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using JetBrains.ReSharper.ActionManagement;
using JetBrains.ReSharper.Shell.PluginSupport;
using JetBrains.ReSharper.TextControl.Markup;

// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("AccessibilityAnalayzer")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("")]
[assembly: AssemblyProduct("AccessibilityAnalayzer")]
[assembly: AssemblyCopyright("Copyright ©  2006")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Setting ComVisible to false makes the types in this assembly not visible 
// to COM components.  If you need to access a type in this assembly from 
// COM, set the ComVisible attribute to true on that type.
[assembly: ComVisible(false)]

// The following GUID is for the ID of the typelib if this project is exposed to COM
[assembly: Guid("1738b168-ea12-4419-8c57-27b787179307")]

// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Revision and Build Numbers 
// by using the '*' as shown below:
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]

[assembly: PluginTitle("Analyze Accessibility")]
[assembly: PluginVendor("Restorun")]
[assembly:
  PluginDescription(
   "This plugin analyze the properties and methods of a type, and highlights those which are either use higher accessibility modifier than needed or unused within the current solution."
    )]

// references XML-resource with actions configuration for this plug-in
[assembly: ActionsXml("AccessibilityAnalayzer.Actions.xml")]
//[assembly: RegisterHighlighter("Unused", "{F2F8E4CE-7B12-4442-B3A3-54E21102B536}", BackgroundColor = "Yellow", Layer = 0x1387, VSPriority = 0x2711, ErrorStripeKind = ErrorStripeKind.NONE, ErrorStripeColorName = "Olive")]
//[assembly: RegisterHighlighter("High Accessibility Modifier", "{67D07BA8-4A62-4fe7-90D3-9C36004AAD7A}", BackgroundColor = "Green", Layer = 0x1387, VSPriority = 0x2711, ErrorStripeKind = ErrorStripeKind.NONE, ErrorStripeColorName = "Olive")]




